Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QKeySequence.StandardKey

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QKeySequence.StandardKey

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QKeySequence

    public static final class QKeySequence.StandardKey

extends java.lang.Enum
implements QtEnumerator

This enum represent standard key bindings. They can be used to assign platform dependent keyboard shortcuts to a `QAction`. `QKeyEvent` also provides the function QKeyEvent::standardKey() to query if it matches an existing key binding.

Note that the key bindings are platform dependent. The currently bound shortcuts can be queried using `keyBindings()`.

See Also:
  Serialized Form

Field Summary
`static QKeySequence.StandardKey` | `AddTab` Add new tab.
`static QKeySequence.StandardKey` | `Back` Navigate back.
`static QKeySequence.StandardKey` | `Bold` Bold text.
`static QKeySequence.StandardKey` | `Close` Close Document/Tab.
`static QKeySequence.StandardKey` | `Copy` Copy.
`static QKeySequence.StandardKey` | `Cut` Cut.
`static QKeySequence.StandardKey` | `Delete` Delete.
`static QKeySequence.StandardKey` | `DeleteEndOfLine` Delete end of line.
`static QKeySequence.StandardKey` | `DeleteEndOfWord` Delete word from the end of the cursor.
`static QKeySequence.StandardKey` | `DeleteStartOfWord` Delete the beginning of a word up to the cursor.
`static QKeySequence.StandardKey` | `Find` Find in document.
`static QKeySequence.StandardKey` | `FindNext` Find next result.
`static QKeySequence.StandardKey` | `FindPrevious` Find previous result.
`static QKeySequence.StandardKey` | `Forward` Navigate forward.
`static QKeySequence.StandardKey` | `HelpContents` Open help contents.
`static QKeySequence.StandardKey` | `Italic` Italic text.
`static QKeySequence.StandardKey` | `MoveToEndOfBlock` Move cursor to end of block.
`static QKeySequence.StandardKey` | `MoveToEndOfDocument` Move cursor to end of document.
`static QKeySequence.StandardKey` | `MoveToEndOfLine` Move cursor to end of line.
`static QKeySequence.StandardKey` | `MoveToNextChar` Move cursor to next character.
`static QKeySequence.StandardKey` | `MoveToNextLine` Move cursor to next line.
`static QKeySequence.StandardKey` | `MoveToNextPage` Move cursor to next page.
`static QKeySequence.StandardKey` | `MoveToNextWord` Move cursor to next word.
`static QKeySequence.StandardKey` | `MoveToPreviousChar` Move cursor to previous character.
`static QKeySequence.StandardKey` | `MoveToPreviousLine` Move cursor to previous line.
`static QKeySequence.StandardKey` | `MoveToPreviousPage` Move cursor to previous page.
`static QKeySequence.StandardKey` | `MoveToPreviousWord` Move cursor to previous word.
`static QKeySequence.StandardKey` | `MoveToStartOfBlock` Move cursor to start of a block.
`static QKeySequence.StandardKey` | `MoveToStartOfDocument` Move cursor to start of document.
`static QKeySequence.StandardKey` | `MoveToStartOfLine` Move cursor to start of line.
`static QKeySequence.StandardKey` | `New` Create new Document.
`static QKeySequence.StandardKey` | `NextChild` Navigate to next tab or child window.
`static QKeySequence.StandardKey` | `Open` Open Document.
`static QKeySequence.StandardKey` | `Paste` Paste.
`static QKeySequence.StandardKey` | `PreviousChild` Navigate to previous tab or child window.
`static QKeySequence.StandardKey` | `Print` Print document.
`static QKeySequence.StandardKey` | `Redo` Redo.
`static QKeySequence.StandardKey` | `Refresh` Refresh or reload current document.
`static QKeySequence.StandardKey` | `Replace` Find and replace.
`static QKeySequence.StandardKey` | `Save` Save Document.
`static QKeySequence.StandardKey` | `SelectAll` Select all text.
`static QKeySequence.StandardKey` | `SelectEndOfBlock` Extend selection to the end of a text block.
`static QKeySequence.StandardKey` | `SelectEndOfDocument` Extend selection to end of document.
`static QKeySequence.StandardKey` | `SelectEndOfLine` Extend selection to end of line.
`static QKeySequence.StandardKey` | `SelectNextChar` Extend selection to next character.
`static QKeySequence.StandardKey` | `SelectNextLine` Extend selection to next line.
`static QKeySequence.StandardKey` | `SelectNextPage` Extend selection to next page.
`static QKeySequence.StandardKey` | `SelectNextWord` Extend selection to next word.
`static QKeySequence.StandardKey` | `SelectPreviousChar` Extend selection to previous character.
`static QKeySequence.StandardKey` | `SelectPreviousLine` Extend selection to previous line.
`static QKeySequence.StandardKey` | `SelectPreviousPage` Extend selection to previous page.
`static QKeySequence.StandardKey` | `SelectPreviousWord` Extend selection to previous word.
`static QKeySequence.StandardKey` | `SelectStartOfBlock` Extend selection to the start of a text block.
`static QKeySequence.StandardKey` | `SelectStartOfDocument` Extend selection to start of document.
`static QKeySequence.StandardKey` | `SelectStartOfLine` Extend selection to start of line.
`static QKeySequence.StandardKey` | `Underline` Underline text.
`static QKeySequence.StandardKey` | `Undo` Undo.
`static QKeySequence.StandardKey` | `UnknownKey` Unbound key.
`static QKeySequence.StandardKey` | `WhatsThis` Activate whats this.
`static QKeySequence.StandardKey` | `ZoomIn` Zoom in.
`static QKeySequence.StandardKey` | `ZoomOut` Zoom out.

Method Summary
`static QKeySequence.StandardKey` | `resolve(int value)` Returns the QKeySequence$StandardKey constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QKeySequence.StandardKey` | `valueOf(java.lang.String name)`
`static QKeySequence.StandardKey[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UnknownKey

    public static final QKeySequence.StandardKey UnknownKey

  Unbound key.

### HelpContents

    public static final QKeySequence.StandardKey HelpContents

  Open help contents.

### WhatsThis

    public static final QKeySequence.StandardKey WhatsThis

  Activate whats this.

### Open

    public static final QKeySequence.StandardKey Open

  Open Document.

### Close

    public static final QKeySequence.StandardKey Close

  Close Document/Tab.

### Save

    public static final QKeySequence.StandardKey Save

  Save Document.

### New

    public static final QKeySequence.StandardKey New

  Create new Document.

### Delete

    public static final QKeySequence.StandardKey Delete

  Delete.

### Cut

    public static final QKeySequence.StandardKey Cut

  Cut.

### Copy

    public static final QKeySequence.StandardKey Copy

  Copy.

### Paste

    public static final QKeySequence.StandardKey Paste

  Paste.

### Undo

    public static final QKeySequence.StandardKey Undo

  Undo.

### Redo

    public static final QKeySequence.StandardKey Redo

  Redo.

### Back

    public static final QKeySequence.StandardKey Back

  Navigate back.

### Forward

    public static final QKeySequence.StandardKey Forward

  Navigate forward.

### Refresh

    public static final QKeySequence.StandardKey Refresh

  Refresh or reload current document.

### ZoomIn

    public static final QKeySequence.StandardKey ZoomIn

  Zoom in.

### ZoomOut

    public static final QKeySequence.StandardKey ZoomOut

  Zoom out.

### Print

    public static final QKeySequence.StandardKey Print

  Print document.

### AddTab

    public static final QKeySequence.StandardKey AddTab

  Add new tab.

### NextChild

    public static final QKeySequence.StandardKey NextChild

  Navigate to next tab or child window.

### PreviousChild

    public static final QKeySequence.StandardKey PreviousChild

  Navigate to previous tab or child window.

### Find

    public static final QKeySequence.StandardKey Find

  Find in document.

### FindNext

    public static final QKeySequence.StandardKey FindNext

  Find next result.

### FindPrevious

    public static final QKeySequence.StandardKey FindPrevious

  Find previous result.

### Replace

    public static final QKeySequence.StandardKey Replace

  Find and replace.

### SelectAll

    public static final QKeySequence.StandardKey SelectAll

  Select all text.

### Bold

    public static final QKeySequence.StandardKey Bold

  Bold text.

### Italic

    public static final QKeySequence.StandardKey Italic

  Italic text.

### Underline

    public static final QKeySequence.StandardKey Underline

  Underline text.

### MoveToNextChar

    public static final QKeySequence.StandardKey MoveToNextChar

  Move cursor to next character.

### MoveToPreviousChar

    public static final QKeySequence.StandardKey MoveToPreviousChar

  Move cursor to previous character.

### MoveToNextWord

    public static final QKeySequence.StandardKey MoveToNextWord

  Move cursor to next word.

### MoveToPreviousWord

    public static final QKeySequence.StandardKey MoveToPreviousWord

  Move cursor to previous word.

### MoveToNextLine

    public static final QKeySequence.StandardKey MoveToNextLine

  Move cursor to next line.

### MoveToPreviousLine

    public static final QKeySequence.StandardKey MoveToPreviousLine

  Move cursor to previous line.

### MoveToNextPage

    public static final QKeySequence.StandardKey MoveToNextPage

  Move cursor to next page.

### MoveToPreviousPage

    public static final QKeySequence.StandardKey MoveToPreviousPage

  Move cursor to previous page.

### MoveToStartOfLine

    public static final QKeySequence.StandardKey MoveToStartOfLine

  Move cursor to start of line.

### MoveToEndOfLine

    public static final QKeySequence.StandardKey MoveToEndOfLine

  Move cursor to end of line.

### MoveToStartOfBlock

    public static final QKeySequence.StandardKey MoveToStartOfBlock

  Move cursor to start of a block. This shortcut is only used on OS X.

### MoveToEndOfBlock

    public static final QKeySequence.StandardKey MoveToEndOfBlock

  Move cursor to end of block. This shortcut is only used on the OS X.

### MoveToStartOfDocument

    public static final QKeySequence.StandardKey MoveToStartOfDocument

  Move cursor to start of document.

### MoveToEndOfDocument

    public static final QKeySequence.StandardKey MoveToEndOfDocument

  Move cursor to end of document.

### SelectNextChar

    public static final QKeySequence.StandardKey SelectNextChar

  Extend selection to next character.

### SelectPreviousChar

    public static final QKeySequence.StandardKey SelectPreviousChar

  Extend selection to previous character.

### SelectNextWord

    public static final QKeySequence.StandardKey SelectNextWord

  Extend selection to next word.

### SelectPreviousWord

    public static final QKeySequence.StandardKey SelectPreviousWord

  Extend selection to previous word.

### SelectNextLine

    public static final QKeySequence.StandardKey SelectNextLine

  Extend selection to next line.

### SelectPreviousLine

    public static final QKeySequence.StandardKey SelectPreviousLine

  Extend selection to previous line.

### SelectNextPage

    public static final QKeySequence.StandardKey SelectNextPage

  Extend selection to next page.

### SelectPreviousPage

    public static final QKeySequence.StandardKey SelectPreviousPage

  Extend selection to previous page.

### SelectStartOfLine

    public static final QKeySequence.StandardKey SelectStartOfLine

  Extend selection to start of line.

### SelectEndOfLine

    public static final QKeySequence.StandardKey SelectEndOfLine

  Extend selection to end of line.

### SelectStartOfBlock

    public static final QKeySequence.StandardKey SelectStartOfBlock

  Extend selection to the start of a text block. This shortcut is only used on OS X.

### SelectEndOfBlock

    public static final QKeySequence.StandardKey SelectEndOfBlock

  Extend selection to the end of a text block. This shortcut is only used on OS X.

### SelectStartOfDocument

    public static final QKeySequence.StandardKey SelectStartOfDocument

  Extend selection to start of document.

### SelectEndOfDocument

    public static final QKeySequence.StandardKey SelectEndOfDocument

  Extend selection to end of document.

### DeleteStartOfWord

    public static final QKeySequence.StandardKey DeleteStartOfWord

  Delete the beginning of a word up to the cursor.

### DeleteEndOfWord

    public static final QKeySequence.StandardKey DeleteEndOfWord

  Delete word from the end of the cursor.

### DeleteEndOfLine

    public static final QKeySequence.StandardKey DeleteEndOfLine

  Delete end of line.

Method Detail

### values

    public static QKeySequence.StandardKey[] values()

### valueOf

    public static QKeySequence.StandardKey valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QKeySequence.StandardKey resolve(int value)

  Returns the QKeySequence$StandardKey constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD